<div th:replace="shared/header"></div>

<h1 th:text="${pageTitle}"></h1>
<div class="box">
    <div class="box-header with-border">
        <a th:href="@{'/'+${pathUri}+'/create'}" class="btn btn-primary"><span
                class="glyphicon glyphicon-plus"></span></a>
    </div>
    <div class="active-cyan-3 active-cyan-4 mb-4">
        <input class="form-control input-search" type="text" placeholder="Search" aria-label="Search">
    </div>
    <table class="table">
        <thead class="thead-dark">
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Address</th>
                <th>Phone</th>
                <th>Email</th>
                <th>URL</th>
                <th>Gender</th>
                <th>Status</th>
                <th>Date</th>
                <th>Items</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody class="suppClass">
            <tr th:each="record:${records}">
                <td th:text="${record.id}"></td>
                <td th:text="${record.name}"></td>
                <td th:text="${record.address}"></td>
                <td th:text="${record.phone_no}"></td>
                <td th:text="${record.email}"></td>
                <td th:text="${record.url}"></td>
                <td th:text="${record.gender}"></td>
                <td>
                    <label th:if="${record.status}" class="label label-success">Active</label>
                    <label th:unless="${record.status}" class="label label-danger">In Active</label>
                </td>
                <td th:text="${record.date}"></td>
                <td> <a href="" class="btn btn-default" th:text="${record.items.size()}"></a></td>
                <td><a th:href="@{'/'+${pathUri}+'/edit/'+${record.id}}" class="btn btn-warning"><span
                            class="glyphicon glyphicon-pencil"></span></a>
                    <a th:href="@{'/'+${pathUri}+'/delete/'+${record.id}}" class="btn btn-danger"><span
                            class="glyphicon glyphicon-remove"></span></a>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</div>
<b class="mine">Click me</b>
<script th:inline="javascript">
        /*<![CDATA[*/
        var temp = '<tr><td>{{id}}</td><td>{{name}}</td><td>{{address}}</td>' +
            '<td>{{phone_no}}</td><td>{{email}}</td><td>{{url}}</td>' +
            '<td>{{gender}}</td><td>{{status}}</td><td>{{date}}</td></tr>';
            var records = /*[[${records}]]*/ 'default';
    
        $(document).ready(function () {
            $('.mine').on('click', function () {
                $('.suppClass').html(createjqsuppliers());
            });
        });
        function createjqsuppliers() {
            
            var content = '';
            $.each(records, function (index, record) {
                console.log(record);
                content += temp;
                for (i in record) {
                    content = content.replace('{{' + i + '}}', record[i]);
                }
            })
             return content;
        }
         /*]]>*/
    </script>


<div th:replace="shared/footer"></div>